n the
 * literal string "linux", and their JS breaks.
 *
 * As such this site patch sets appVersion to "5.0 (Linux)", and is
 * only meant to be applied on Linux or Android.
 */

/* globals exportFunction */

console.info(
  "navigator.appVersion has been shimmed for compatibility reasons. See https://webcompat.com/issues/108993 for details."
);

const nav = Object.getPrototypeOf(navigator.wrappedJSObject);
const appVersion = Object.getOwnPropertyDescriptor(nav, "appVersion");
appVersion.get = exportFunction(() => "5.0 (Linux)", window);
Object.defineProperty(nav, "appVersion", appVersion);
PK